#
# Conditional build:
%bcond_with	eet	# eet images support

Summary:	Additional Loaders for Imlib2
Summary(pl.UTF-8):	Dodatkowe biblioteki wczytujące dla Imlib2
Name:		imlib2_loaders
Version:	1.12.1
Release:	1
License:	GPL v2+ (XCF loader), BSD-like (the rest)
Group:		Libraries
Source0:	https://downloads.sourceforge.net/enlightenment/%{name}-%{version}.tar.xz
# Source0-md5:	fc42767eb9f7afbdc926e5444d6631b7
URL:		https://www.enlightenment.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1.6
%{?with_eet:BuildRequires:	eet-devel >= 1.0.2}
BuildRequires:	imlib2-devel >= 1.10.0
BuildRequires:	libtool >= 2:2
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	imlib2 >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains additional image loaders for Imlib2 which for
some reason (such as license issues) are not distributed with Imlib2
directly.

%description -l pl.UTF-8
Ten pakiet zawiera dodatkowe biblioteki wczytujące obrazy dla Imlib2,
które z jakiegoś powodu (jak na przykład problemy licencyjne) nie są
rozprowadzane bezpośrednio z biblioteką Imlib2.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-eet%{!?with_eet:=no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/imlib2/loaders/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING COPYING-PLAIN README
%if %{with eet}
%attr(755,root,root) %{_libdir}/imlib2/loaders/eet.so
%endif
%attr(755,root,root) %{_libdir}/imlib2/loaders/xcf.so
%changelog
* Thu Dec 14 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/imlib2_loaders.git;a=log;h=master

* Thu Dec 14 2023 Jan Palus <atler@pld-linux.org> acbf318
- up to 1.12.1

* Mon Sep 18 2023 Jan Palus <atler@pld-linux.org> 308a744
- up to 1.12.0

* Tue Mar 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 60d878c
- updated to 1.10.0

* Fri Jul 29 2022 Jakub Bogusz <qboosh@pld-linux.org> 46952ff
- updated to 1.9.1

* Sat May 28 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 27e4da7
- rel 1

* Fri May 13 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 9dc5b31
- up to 1.9.0

* Sun Oct 10 2021 Jan Palus <atler@pld-linux.org> dd76b07
- up to 1.7.4

* Wed Aug 18 2021 Jan Palus <atler@pld-linux.org> 9aeec80
- up to 1.7.3

* Tue Jul 27 2021 Jan Palus <atler@pld-linux.org> 17ae5c3
- updated source url to https

* Tue Jul 27 2021 Jan Palus <atler@pld-linux.org> 634619f
- up to 1.7.2

* Thu Dec 17 2020 Jan Palus <atler@pld-linux.org> 930658e
- up to 1.7.1

* Sun Oct 04 2020 Jakub Bogusz <qboosh@pld-linux.org> 5bcc0f2
- updated to 1.7.0
- disable eet by default

* Sun Dec 17 2017 Jakub Bogusz <qboosh@pld-linux.org> 00a3c06
- updated to 1.4.10

* Sun Jan 22 2017 Jakub Bogusz <qboosh@pld-linux.org> ffc9f14
- updated to 1.4.9

* Sat Mar 19 2016 Jakub Bogusz <qboosh@pld-linux.org> bf9a4f4
- updated to 1.4.8, edb loader is gone

* Mon Sep 06 2010 Jakub Bogusz <qboosh@pld-linux.org> 64754e7
- updated to 1.4.4

* Tue Nov 11 2008 pablo <pablo@pld-linux.org> 4a99e71
- up to 1.4.2

* Mon Aug 25 2008 pablo <pablo@pld-linux.org> ad82045
- updated to 20080813 snap

* Tue Jun 03 2008 Jakub Bogusz <qboosh@pld-linux.org> 733ebff
- updated ac/am BRs

* Sun Jun 01 2008 Bartłomiej Zimoń <cactus@pld-linux.org> 5da4536
- up to 1.4.1.000

